summaryrefslogtreecommitdiffstats
path: root/package/ppp/files.old/etc
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2012-03-20 13:09:27 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2012-03-20 13:09:27 +0000
commit483a02ae41cf8a27a24d447bc17286e0b85c6843 (patch)
tree10d7d2da917ab14d7190e4d8db64684d91262529 /package/ppp/files.old/etc
parentbd1036b450bca78c1df781b2c4e4669500d82440 (diff)
pppd: split files into netifd and non-netifd files, move the netifd ppp.sh file to the pppd package
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@31041 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/ppp/files.old/etc')
-rw-r--r--package/ppp/files.old/etc/hotplug.d/atm/20-atm-modem28
-rwxr-xr-xpackage/ppp/files.old/etc/ppp/ip-down25
-rwxr-xr-xpackage/ppp/files.old/etc/ppp/ip-up37
-rw-r--r--package/ppp/files.old/etc/ppp/ipv6-down16
-rw-r--r--package/ppp/files.old/etc/ppp/ipv6-up16
5 files changed, 122 insertions, 0 deletions
diff --git a/package/ppp/files.old/etc/hotplug.d/atm/20-atm-modem b/package/ppp/files.old/etc/hotplug.d/atm/20-atm-modem
new file mode 100644
index 000000000..4fd9b9c66
--- /dev/null
+++ b/package/ppp/files.old/etc/hotplug.d/atm/20-atm-modem
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+if [ "$ACTION" = "add" ]; then
+ include /lib/network
+ scan_interfaces
+
+ local found=0
+ local ifc
+ for ifc in $interfaces; do
+ local up
+ config_get_bool up "$ifc" up 0
+
+ local auto
+ config_get_bool auto "$ifc" auto 1
+
+ local proto
+ config_get proto "$ifc" proto
+
+ if [ "$proto" = "pppoa" ] && [ "$up" != 1 ] && [ "$auto" = 1 ]; then
+ found=1
+ ( sleep 1; ifup "$ifc" ) &
+ fi
+ done
+
+ if [ "$found" != 1 ]; then
+ logger "Found no matching interface for DSL device $DEVICENAME"
+ fi
+fi
diff --git a/package/ppp/files.old/etc/ppp/ip-down b/package/ppp/files.old/etc/ppp/ip-down
new file mode 100755
index 000000000..487ff6b46
--- /dev/null
+++ b/package/ppp/files.old/etc/ppp/ip-down
@@ -0,0 +1,25 @@
+#!/bin/sh
+. /etc/functions.sh
+PPP_IFACE="$1"
+PPP_TTY="$2"
+PPP_SPEED="$3"
+PPP_LOCAL="$4"
+PPP_REMOTE="$5"
+PPP_IPPARAM="$(echo $6 | sed 's/\./_/g')"
+export PPP_IFACE PPP_TTY PPP_SPEED PPP_LOCAL PPP_REMOTE PPP_IPPARAM
+[ -z "$PPP_IPPARAM" ] || {
+ case "$PPP_IFACE" in
+ # only handle uci managed interfaces here, others are done by generic hotplug
+ 3g-*|ppp-*|pppoa-*|pppoe-*|pptp-*)
+ env -i ACTION="ifdown" INTERFACE="$PPP_IPPARAM" DEVICE="$PPP_IFACE" PROTO=ppp /sbin/hotplug-call "iface"
+ uci_revert_state network "$PPP_IPPARAM"
+ ;;
+ esac
+}
+
+[ -d /etc/ppp/ip-down.d ] && {
+ for SCRIPT in /etc/ppp/ip-down.d/*
+ do
+ [ -x "$SCRIPT" ] && "$SCRIPT" "$@"
+ done
+}
diff --git a/package/ppp/files.old/etc/ppp/ip-up b/package/ppp/files.old/etc/ppp/ip-up
new file mode 100755
index 000000000..353f66789
--- /dev/null
+++ b/package/ppp/files.old/etc/ppp/ip-up
@@ -0,0 +1,37 @@
+#!/bin/sh
+
+. /etc/functions.sh
+. /lib/network/config.sh
+
+PPP_IFACE="$1"
+PPP_TTY="$2"
+PPP_SPEED="$3"
+PPP_LOCAL="$4"
+PPP_REMOTE="$5"
+PPP_IPPARAM="$(echo $6 | sed 's/\./_/g')"
+
+export PPP_IFACE PPP_TTY PPP_SPEED PPP_LOCAL PPP_REMOTE PPP_IPPARAM
+[ -z "$PPP_IPPARAM" -o -z "$PPP_LOCAL" ] || {
+ uci_set_state network "$PPP_IPPARAM" ifname "$PPP_IFACE"
+ uci_set_state network "$PPP_IPPARAM" ipaddr "$PPP_LOCAL"
+ uci_set_state network "$PPP_IPPARAM" gateway "$PPP_REMOTE"
+
+ local dns="$DNS1${DNS2:+ $DNS2}"
+ [ -n "$dns" ] && add_dns "$PPP_IPPARAM" $dns
+}
+
+[ -z "$PPP_IPPARAM" ] || {
+ case "$PPP_IFACE" in
+ # only handle uci managed interfaces here, others are done by generic hotplug
+ 3g-*|ppp-*|pppoa-*|pppoe-*|pptp-*)
+ env -i ACTION="ifup" INTERFACE="$PPP_IPPARAM" DEVICE="$PPP_IFACE" PROTO=ppp /sbin/hotplug-call "iface"
+ ;;
+ esac
+}
+
+[ -d /etc/ppp/ip-up.d ] && {
+ for SCRIPT in /etc/ppp/ip-up.d/*
+ do
+ [ -x "$SCRIPT" ] && "$SCRIPT" "$@"
+ done
+}
diff --git a/package/ppp/files.old/etc/ppp/ipv6-down b/package/ppp/files.old/etc/ppp/ipv6-down
new file mode 100644
index 000000000..436b91ded
--- /dev/null
+++ b/package/ppp/files.old/etc/ppp/ipv6-down
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+gw=$5
+dev=$1
+cfg=$6
+
+. /etc/functions.sh # common functions
+include /lib/network # include /lib/network/*.sh
+scan_interfaces # read and parse the network config
+
+config_get_bool defaultroute "$cfg" defaultroute 1
+
+if [ ${defaultroute} -eq 1 ]
+then
+ route -A inet6 del default gw ${gw} dev ${dev}
+fi
diff --git a/package/ppp/files.old/etc/ppp/ipv6-up b/package/ppp/files.old/etc/ppp/ipv6-up
new file mode 100644
index 000000000..5162455fa
--- /dev/null
+++ b/package/ppp/files.old/etc/ppp/ipv6-up
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+gw=$5
+dev=$1
+cfg=$6
+
+. /etc/functions.sh # common functions
+include /lib/network # include /lib/network/*.sh
+scan_interfaces # read and parse the network config
+
+config_get_bool defaultroute "$cfg" defaultroute 1
+
+if [ ${defaultroute} -eq 1 ]
+then
+ route -A inet6 add default gw ${gw} dev ${dev}
+fi